| hoogle | Source code | Contents | Index

Hoogle.TypeSig.Type

Documentation

data TypeSig | Source

Constructors

TypeSig Constraint Type |

Instances

Eq TypeSig
Ord TypeSig
Show TypeSig
BinaryDefer TypeSig

type Constraint = [Type] | Source

type TypeContext = [(String, String)] | Source

data TypeSimp | Source

Constructors

TypeSimp TypeContext Type |

Instances

Eq TypeSimp
Ord TypeSimp
Show TypeSimp

data Type | Source

Constructors

TApp Type [Type] |
TLit String |
TVar String |
TFun [Type] |

Instances

Eq Type
Ord Type
Show Type
Uniplate Type
BinaryDefer Type

tApp :: Type -> [Type] -> Type | Source

fromTFun :: Type -> [Type] | Source

isTVar :: Type -> Bool | Source

isTLit :: Type -> Bool | Source

fromTApp :: Type -> (Type, [Type]) | Source

isTLitTuple :: String -> Bool | Source

removeTApp :: Type -> Type | Source

insertTApp :: Type -> Type | Source

onTypeSig :: BiplateType TypeSig Type | Source

variables :: Type -> [String] | Source

variablesSig :: TypeSig -> [String] | Source

showConstraint :: Constraint -> String | Source

showFun :: Type -> String | Source

normaliseTypeSig :: TypeSig -> TypeSig | Source

normaliseType :: Type -> Type | Source

splitFun :: Type -> [Type] | Source

renameVars :: (String -> String) -> TypeSig -> TypeSig | Source

Produced by Haddock version 2.4.2